OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NVX.LinkedGPUMulticast

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVXLinkedGPUMulticast :: MonadIO m => m Bool
- gl_NVX_linked_gpu_multicast :: Bool
- pattern GL_LGPU_SEPARATE_STORAGE_BIT_NVX :: GLbitfield
- pattern GL_MAX_LGPU_GPUS_NVX :: GLenum
- glLGPUCopyImageSubDataNVX :: MonadIO m => GLuint -> GLbitfield -> GLuint -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLuint -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> m ()
- glLGPUInterlockNVX :: MonadIO m => m ()
- glLGPUNamedBufferSubDataNVX :: MonadIO m => GLbitfield -> GLuint -> GLintptr -> GLsizeiptr -> Ptr a -> m ()

# Extension Support

glGetNVXLinkedGPUMulticast :: MonadIO m => m Bool Source #

Is the NVX_linked_gpu_multicast extension supported?

gl_NVX_linked_gpu_multicast :: Bool Source #

Is the NVX_linked_gpu_multicast extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVXLinkedGPUMulticast` in those cases instead.

# Enums

pattern GL_LGPU_SEPARATE_STORAGE_BIT_NVX :: GLbitfield Source #

pattern GL_MAX_LGPU_GPUS_NVX :: GLenum Source #

# Functions

glLGPUCopyImageSubDataNVX Source #

Arguments

:: MonadIO m |
=> GLuint | `sourceGpu`.
-> GLbitfield | `destinationGpuMask`.
-> GLuint | `srcName`.
-> GLenum | `srcTarget`.
-> GLint | `srcLevel`.
-> GLint | `srcX`.
-> GLint | `srxY`.
-> GLint | `srcZ`.
-> GLuint | `dstName`.
-> GLenum | `dstTarget`.
-> GLint | `dstLevel`.
-> GLint | `dstX`.
-> GLint | `dstY`.
-> GLint | `dstZ`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> m () |

glLGPUInterlockNVX :: MonadIO m => m () Source #

glLGPUNamedBufferSubDataNVX Source #

Arguments

:: MonadIO m |
=> GLbitfield | `gpuMask`.
-> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size`.
-> Ptr a | `data`.
-> m () |